Design client application authentication redirection approach 
Product Version: *   

Description

Client applications will need to redirect to CILogon to authenticate, which after another redirect to the InCommon host institution will

eventually provide access to a X.509 certificate which needs to be downloaded to the client and stored in a standard location. 

Propose a design for this system.

History

#1 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#2 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#3 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#4 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#5 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#6 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#7 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#8 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#9 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
